<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" type="text/css" href="/css/style.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>
<script>
    function waitForButtonClicked() {
        return new Promise(function(resolve, reject) {
            resolve(alert("Promise Success!"));
        });
    }
      
    async function main() {
        console.log(waitForButtonClicked);
        await waitForButtonClicked();
        const currency = await waitForCurrencyGet();
       
        const response = await fetch('Some URL');
        const employees = await response.json();
       
        // TODO: print employees salary
    }
    main();
       
</script>
<body>
    <input type="button" value="Click" onclick="waitForButtonClicked();">
</body>
</html>